<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
    'text' => null,
    'tooltip' => __('common.convertMoreFiles'),
    'link' => null,
    'class' => null,
]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
    'text' => null,
    'tooltip' => __('common.convertMoreFiles'),
    'link' => null,
    'class' => null,
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars); ?>
<?php if($link): ?>
    <a href="<?php echo e($link); ?>" data-bs-toggle="tooltip" title="<?php echo e($tooltip); ?>"<?php echo $attributes->merge(['class' => 'btn btn-outline-primary rounded-' . ($text ? 'pill' : 'circle')]); ?>>
        <i class="an an-reload"></i>
        <?php if($text): ?>
            <span><?php echo e($text); ?></span>
        <?php endif; ?>
    </a>
<?php endif; ?>
<?php /**PATH /www/wwwroot/webtoolzone.com/resources/themes/canvas/components/reload-button.blade.php ENDPATH**/ ?>